Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoFlOrAllAtomQuadOp< EOT > Class Template Reference

Quad Crossover using an Atom Crossover. More...

`#include <eoFlOrQuadOp.h>`

Inheritance diagram for eoFlOrAllAtomQuadOp< EOT >:

List of all members.

## Public Types
typedef EOT::AtomType | AtomType
## Public Member Functions
| eoFlOrAllAtomQuadOp (eoQuadOp< AtomType > &_op, double _rate=1)
| default ctor: requires an Atom QuadOp
bool | operator() (EOT &_eo1, EOT &_eo2)
| applies Atom crossover to ALL components with given rate
virtual string | className () const
| inherited className()
## Private Attributes
double | rate
eoQuadOp< AtomType > & | op

## Detailed Description

### template<class EOT>
class eoFlOrAllAtomQuadOp< EOT >

Quad Crossover using an Atom Crossover.

Definition at line 46 of file eoFlOrQuadOp.h.

The documentation for this class was generated from the following file:

- eoFlOrQuadOp.h